Bug 1273601 - Review Request: python-qutepart - Code editor widget
Review Request: python-qutepart - Code editor widget
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
: FutureFeature, Reopened
: 1015868 (view as bug list)
Depends On:
Blocks: qt-reviews 984560 1281876
  Show dependency treegraph
 
Reported: 2015-10-20 14:43 EDT by Raphael Groner
Modified: 2016-02-27 04:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1015868
Environment:
Last Closed: 2016-01-30 23:33:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-10-20 14:43:25 EDT
Spec URL: https://raphgro.fedorapeople.org/review/qt/enki/python-qutepart.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/enki/python-qutepart-2.2.2-2.fc23.src.rpm
Description: Code editor widget for PyQt

Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11519844

> 
rpmlint SPECS/python-qutepart.spec SRPMS/python-qutepart-2.2.2-2.fc23.src.rpm RPMS/x86_64/python-qutepart-2.2.2-2.fc23.x86_64.rpm RPMS/x86_64/python-qutepart-debuginfo-2.2.2-2.fc23.x86_64.rpm 
python-qutepart.x86_64: W: file-not-utf8 /usr/share/doc/python-qutepart/html/objects.inv
3 packages and 1 specfiles checked; 0 errors, 1 warnings.
=> False positive, the file objects.inv gets generated from sphinx-build and its content is zlib compressed, see internal comment.


Original review request: bug #1015868.
(discussion from old review deleted, it's too long)
Comment 1 Raphael Groner 2015-10-20 14:46:47 EDT
*** Bug 1015868 has been marked as a duplicate of this bug. ***
Comment 2 Upstream Release Monitoring 2015-10-20 14:50:18 EDT
raphgro's scratch build of python-qutepart-2.2.2-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11519844
Comment 3 Julien Enselme 2015-10-24 10:40:42 EDT
Almost there, see my comment below on %python_provides.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated", "MIT/X11 (BSD like)", "LGPL (v3 or later)",
     "BSD (3 clause)", "LGPL (v2.1 or later)". 383 files have unknown
     license. Detailed output of licensecheck in /tmp/1273601-python-
     qutepart/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 491520 bytes in 32 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
The usage of the %python_provide macro is incorrect. `%{?python_provide:%python_provide python2-%{srcname}}` only expands to the correct provides if used in the python2-qutepart subpackage. Doing a subpackage for python2 and (if supported) one for python3 is now the recommanded way to package python applications. I think that even if this package only supports python2, you should create a python2 subpackage.
The other solution would be to explicitely add Provides: python2-qutepart.
See https://fedoraproject.org/wiki/Packaging:Python#Provides

[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[X]: Uses parallel make %{?_smp_mflags} macro.
make is only used to build the documentation. This is not needed.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
python2-qutepart is not provided. See above.

[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     qutepart-debuginfo
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[X]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

I don't know why mock didn't succeed. The RPMS are correctly created and I can install them. rpmlint has nothing special to report:
python-qutepart.x86_64: W: file-not-utf8 /usr/share/doc/python-qutepart/html/objects.inv
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /tmp/1273601-python-qutepart/results/python-qutepart-2.2.2-2.fc24.x86_64.rpm /tmp/1273601-python-qutepart/results/python-qutepart-debuginfo-2.2.2-2.fc24.x86_64.rpm /tmp/1273601-python-qutepart/results/python-qutepart-debuginfo-2.2.2-2.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /tmp/1273601-python-qutepart/results/python-qutepart-2.2.2-2.fc24.x86_64.rpm /tmp/1273601-python-qutepart/results/python-qutepart-debuginfo-2.2.2-2.fc24.x86_64.rpm /tmp/1273601-python-qutepart/results/python-qutepart-debuginfo-2.2.2-2.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python-qutepart-2.2.2-2.fc24.x86_64.rpm
          python-qutepart-debuginfo-2.2.2-2.fc24.x86_64.rpm
          python-qutepart-2.2.2-2.fc24.src.rpm
python-qutepart.x86_64: W: file-not-utf8 /usr/share/doc/python-qutepart/html/objects.inv
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
python-qutepart (rpmlib, GLIBC filtered):
    PyQt4
    libc.so.6()(64bit)
    libpcre.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    pcre
    python(abi)
    rtld(GNU_HASH)

python-qutepart-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
python-qutepart:
    python-qutepart
    python-qutepart(x86-64)

python-qutepart-debuginfo:
    python-qutepart-debuginfo
    python-qutepart-debuginfo(x86-64)



Unversioned so-files
--------------------
python-qutepart: /usr/lib64/python2.7/site-packages/qutepart/syntax/cParser.so

Source checksums
----------------
https://github.com/hlamer/qutepart/archive/v2.2.2.tar.gz#/qutepart-2.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : e7b9c7096746a52cd3e6fdbe612b1e2c041d51e6946bd293cd3ac998d28461a6
  CHECKSUM(SHA256) upstream package : e7b9c7096746a52cd3e6fdbe612b1e2c041d51e6946bd293cd3ac998d28461a6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1273601
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Upstream Release Monitoring 2015-11-06 15:42:57 EST
raphgro's scratch build of python-qutepart-2.2.2-3.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11731269
Comment 5 Upstream Release Monitoring 2015-11-06 15:43:54 EST
raphgro's scratch build of python-qutepart-2.2.2-3.fc23.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11731291
Comment 6 Raphael Groner 2015-11-07 10:20:13 EST
Sorry for the long delay. Here's the update.

Spec URL: https://raphgro.fedorapeople.org/review/qt/enki/python-qutepart.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/enki/python-qutepart-2.2.2-3.fc23.src.rpm

* Fri Nov 06 2015 Raphael Groner <> - 2.2.2-3
- add subpackages for python versioning
- experimental python3 support

rawhide Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11743050
epel7   Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11743451
Comment 7 Julien Enselme 2015-11-08 05:48:16 EST
Looks good. Approved!
Comment 8 Raphael Groner 2015-11-08 06:06:36 EST
Thanks a lot!
Comment 9 Gwyn Ciesla 2015-11-08 11:27:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-qutepart
Comment 10 Fedora Update System 2015-11-09 01:28:46 EST
python-qutepart-2.2.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-175d04c097
Comment 11 Fedora Update System 2015-11-09 01:29:50 EST
python-qutepart-2.2.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-85b822e636
Comment 12 Fedora Update System 2015-11-09 01:30:37 EST
python-qutepart-2.2.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 13 Fedora Update System 2015-11-09 14:50:04 EST
python-qutepart-2.2.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-qutepart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 14 Fedora Update System 2015-11-09 21:22:49 EST
python-qutepart-2.2.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-qutepart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-85b822e636
Comment 15 Fedora Update System 2015-11-09 22:23:08 EST
python-qutepart-2.2.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-qutepart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-175d04c097
Comment 16 Fedora Update System 2015-12-04 11:05:18 EST
enki-15.11.0-1.fc23 python-qutepart-2.2.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-175d04c097
Comment 17 Fedora Update System 2015-12-04 11:07:02 EST
enki-15.11.0-1.fc22 python-qutepart-2.2.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-85b822e636
Comment 18 Fedora Update System 2015-12-04 11:08:38 EST
enki-15.11.0-1.el7 python-qutepart-2.2.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 19 Fedora Update System 2015-12-06 00:22:41 EST
enki-15.11.0-1.fc22, python-qutepart-2.2.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-qutepart enki'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-85b822e636
Comment 20 Fedora Update System 2015-12-06 03:21:35 EST
enki-15.11.0-1.el7, python-qutepart-2.2.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-qutepart enki'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 21 Fedora Update System 2015-12-06 12:21:33 EST
enki-15.11.0-1.fc23, python-qutepart-2.2.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-qutepart enki'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-175d04c097
Comment 22 Fedora Update System 2015-12-16 04:53:42 EST
enki-15.11.0-1.fc22, python-qutepart-2.2.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-12-16 09:37:39 EST
enki-15.11.0-1.fc23, python-qutepart-2.2.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-01-09 12:54:35 EST
enki-15.11.0-2.el7 python-qutepart-2.2.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 25 Fedora Update System 2016-01-10 14:50:01 EST
enki-15.11.0-2.el7, python-qutepart-2.2.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c3e2a2e9f9
Comment 26 Fedora Update System 2016-01-30 23:33:14 EST
enki-15.11.0-2.el7, python-qutepart-2.2.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Raphael Groner 2016-02-27 04:19:46 EST
Removing alias to allow general search for bugs.

Note You need to log in before you can comment on or make changes to this bug.